<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Bill */
class BillResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
            'id' => $this->id,
            'amount' => $this->amount,
            'discount' => $this->discount,
            'gst' => $this->gst,
            'is_parcel' => $this->is_parcel,
            'is_active' => $this->is_active,

            'user_id' => $this->user_id,
            'franchise_id' => $this->franchise_id,
            'payment_type_id' => $this->payment_type_id,
            'order_source_id' => $this->order_source_id,
            'table_id' => $this->table_id,

            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
            "bill_details" => BillDetailResource::collection($this->whenLoaded("billDetails")),
            "parcel_details" => ParcelDetailResource::collection($this->whenLoaded("parcelDetails")),
            "user" => new UserResource($this->whenLoaded("user")),
            'payment_type' => new PaymentTypeResource($this->whenLoaded('paymentType')),
            'order_source' => new OrderSourceResource($this->whenLoaded('orderSource')),
            'table' => new TableResource($this->whenLoaded('table')),
        ];
    }
}
