<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class InventoryOrderItemResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "inventory_order_id" => $this->inventory_order_id,
            "item_id" => $this->item_id,

            "ordered_quantity" => $this->ordered_quantity,
            "received_quantity" => $this->received_quantity,
            "price" => $this->price,

            // relations
            "inventory_order" => new InventoryOrderResource($this->whenLoaded("inventoryOrder")),
            "item" => new ItemResource($this->whenLoaded("item")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
