<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class InventoryOrderResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "franchise_id" => $this->franchise_id,

            "for" => $this->for,
            'order_date' => $this->order_date,
            'delivery_date' => $this->delivery_date,
            "is_paid" => $this->is_paid,
            "total" => $this->total,

            // relations
            "franchise" => new FranchiseResource($this->whenLoaded("franchise")),
            "order_items" => InventoryOrderItemResource::collection(
                $this->whenLoaded("inventoryOrderItems")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
