<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class InventoryReturnItemResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "inventory_return_id" => $this->inventory_return_id,
            "item_id" => $this->item_id,

            "quantity" => $this->quantity,
            "is_accepted" => $this->is_accepted,

            "inventory_return" => new InventoryReturnResource($this->whenLoaded("inventoryReturn")),
            "item" => new ItemResource($this->whenLoaded("item")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
