<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class InventoryReturnResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array {
        return [
            "id" => $this->id,

            "franchise_id" => $this->franchise_id,

            "return_of" => $this->return_of,
            'date' => $this->date,

            // relations
            "franchise" => new FranchiseResource($this->whenLoaded("franchise")),
            "return_items" => InventoryReturnItemResource::collection(
                $this->whenLoaded("inventoryReturnItems")),

            // timestamps
            "created_at" => $this->created_at,
            "updated_at" => $this->updated_at,
        ];
    }
}
