<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\Recipe */
class RecipeResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'price' => $this->price,
            'gst' => $this->gst,
            'image' => $this->image,

            'franchise_id' => $this->franchise_id,

            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
            "recipe_details" => RecipeDetailResource::collection($this->whenLoaded("recipeDetails")),

            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
