<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/** @mixin \App\Models\User */
class UserResource extends JsonResource
{
    public function toArray(Request $request): array {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'email' => $this->email,
            'role' => $this->role,
            'designation' => $this->designation,
            'status' => $this->status,
            'address' => $this->address,
            'mobile_no' => $this->mobile_no,
            'city' => $this->city,
            'country' => $this->country,
            'pincode' => $this->pincode,
            'is_customer' => $this->is_customer,
            'is_customer_registered' => $this->is_customer_registered,
            'is_blacklisted' => $this->is_blacklisted,

            'master_franchise_id' => $this->master_franchise_id,
            'franchise_id' => $this->franchise_id,

            'masterFranchise' => new MasterFranchiseResource($this->whenLoaded('masterFranchise')),
            'franchise' => new FranchiseResource($this->whenLoaded('franchise')),
            
            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
