<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class InventoryOrder extends Model
{
    use HasFactory, Filterable;

    public const CATEGORIES = ["cakes", "breads"];
    public const STATUS = ["pending", "completed"];

    protected $fillable = [
        "franchise_id",

        "for",
        "order_date",
        "delivery_date",
        "is_paid",
        "total",
        "status"
    ];

    protected $casts = [
        "is_paid" => "boolean"
    ];

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }

    public function inventoryOrderItems(): HasMany {
        return $this->hasMany(InventoryOrderItem::class);
    }
}
