<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class InventoryOrderItem extends Model
{
    use HasFactory;

    protected $fillable = [
        "inventory_order_id",
        "item_id",

        "ordered_quantity",
        "received_quantity",
        "price"
    ];

    public function inventoryOrder(): BelongsTo {
        return $this->belongsTo(InventoryOrder::class);
    }

    public function item(): BelongsTo {
        return $this->belongsTo(Item::class);

    }
}
