<?php

namespace App\Models;

use Abbasudo\Purity\Traits\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class InventoryReturn extends Model
{
    use HasFactory, Filterable;

    protected $fillable = [
        "franchise_id",

        "return_of",
        "date"
    ];

    public function franchise(): BelongsTo {
        return $this->belongsTo(Franchise::class);
    }

    public function inventoryReturnItems(): HasMany {
        return $this->hasMany(InventoryReturnItem::class);
    }
}
