<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class InventoryReturnItem extends Model
{
    use HasFactory;

    protected $fillable = [
        "inventory_return_id",
        "item_id",

        "quantity",
        "is_accepted",
    ];

    public function inventoryReturn(): BelongsTo {
        return $this->belongsTo(InventoryReturn::class);
    }

    public function item(): BelongsTo {
        return $this->belongsTo(Item::class);
    }
}
