<?php

namespace Database\Factories;

use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;

class UserFactory extends Factory
{
    protected $model = User::class;

    public function definition(): array {
        return [
            'name' => $this->faker->name(),
            'email' => $this->faker->unique()->safeEmail(),
            'password' => bcrypt("password"),
            'role' => $this->faker->randomElements([
                "admin",
                "employee",
                "waiter",
                "master franchise",
                "franchise"
            ]),
            'designation' => $this->faker->word(),
            'status' => true,
            'address' => $this->faker->address(),
            'mobile_no' => $this->faker->phoneNumber(),
            'city' => $this->faker->city(),
            'country' => $this->faker->country(),
            'pincode' => $this->faker->word(),
            'is_customer' => false,
            'is_customer_registered' => false,
            'is_blacklisted' => false,
        ];
    }
}
