<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('franchises', function (Blueprint $table) {
            $table->id();
            $table->foreignId('master_franchise_id')->nullable()
                ->constrained('master_franchises')
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('shop_name')->nullable();
            $table->string('user_name')->nullable();
            $table->string('email')->nullable();
            $table->string('mobile', 20)->nullable();
            $table->string('address')->nullable();
            $table->string('landmark')->nullable();
            $table->string('city', 50)->nullable();
            $table->string('country', 50)->nullable();
            $table->string('state', 50)->nullable();
            $table->string('pincode', 20)->nullable();
            $table->string('gst', 20)->nullable();
            $table->string('cgst', 20)->nullable();
            $table->string('photo', 100)->nullable();
            $table->string('user_contact', 20)->nullable();
            $table->date('user_dob')->nullable();
            $table->date('shop_opening_date')->nullable();
            $table->decimal('franchise_amount', 12)->nullable();
            $table->unsignedSmallInteger('master_commission_percent')->nullable();
            $table->date('renewal_date')->nullable();
            $table->boolean('is_master')->default(false);
            $table->boolean('is_active')->default(false);
            $table->boolean('is_approved')->default(false);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('franchises');
    }
};
