<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('expenses', function (Blueprint $table) {
            $table->id();
            $table->foreignId('expense_type_id')->nullable()
                ->constrained("expense_types")
                ->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('franchise_id')->nullable()
                ->constrained("franchises")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('name')->nullable();
            $table->decimal('amount', 10)->nullable();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('expenses');
    }
};
