<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('purchase_order_details', function (Blueprint $table) {
            $table->id();
            $table->foreignId('purchase_order_id')->nullable()
                ->constrained("purchase_orders")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('item_id')->nullable()
                ->constrained("items")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->unsignedSmallInteger('qty')->default(1);
            $table->decimal('price', 10)->default(0);
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('purchase_order_details');
    }
};
