<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('tickets', function (Blueprint $table) {
            $table->id();
            $table->foreignId("user_id")->nullable()
                ->constrained("users")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId("franchise_id")->nullable()
                ->constrained("franchises")
                ->cascadeOnUpdate()->cascadeOnDelete();

            $table->string('subject')->nullable();
            $table->text('message')->nullable();
            $table->string('file', 100)->nullable();
            $table->date('resolved_date')->nullable();
            $table->string('remarks')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void {
        Schema::dropIfExists('tickets');
    }
};
