<?php

use App\Models\InventoryOrder;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('inventory_orders', function (Blueprint $table) {
            $table->id();

            $table->foreignId("franchise_id")->constrained("franchises")->cascadeOnDelete();

            $table->enum("for", InventoryOrder::CATEGORIES);
            $table->dateTime('order_date');
            $table->dateTime('delivery_date')->nullable();
            $table->boolean("is_paid")->default(false);
            $table->decimal("total", 10)->default(0);
            $table->enum("status", InventoryOrder::STATUS);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('inventory_orders');
    }
};
