<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('inventory_order_items', function (Blueprint $table) {
            $table->id();

            $table->foreignId("inventory_order_id")->constrained("inventory_orders")->cascadeOnDelete();
            $table->foreignId("item_id")->constrained("items")->cascadeOnDelete();

            $table->unsignedSmallInteger("ordered_quantity")->default(1);
            $table->unsignedSmallInteger("received_quantity")->default(0);
            $table->decimal("price", 10)->default(0);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('inventory_order_items');
    }
};
