<?php

use App\Models\InventoryOrder;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('inventory_returns', function (Blueprint $table) {
            $table->id();

            $table->foreignId("franchise_id")->constrained("franchises")->cascadeOnDelete();

            $table->enum("return_of", InventoryOrder::CATEGORIES);
            $table->date("date");

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('inventory_returns');
    }
};
