<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void {
        Schema::create('inventory_return_items', function (Blueprint $table) {
            $table->id();

            $table->foreignId("inventory_return_id")->constrained("inventory_returns")->cascadeOnDelete();
            $table->foreignId("item_id")->constrained("items")->cascadeOnDelete();

            $table->unsignedSmallInteger("quantity")->default(1);
            $table->boolean("is_accepted")->default(false);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void {
        Schema::dropIfExists('inventory_return_items');
    }
};
